Bug 442551 - polyinstantiated directory icons on Desktop
polyinstantiated directory icons on Desktop
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-15 10:51 EDT by Ted X Toth
Modified: 2015-03-03 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted X Toth 2008-04-15 10:51:36 EDT
Description of problem:
Directories that are subdirectories of a users home directory when
polyinstantiated are appearing on the Desktop as disk icons. pam_namespace uses
the mount API with MS_BIND to mount polyinstantiated directories and maybe these
mounts are being confused for removable media.

Version-Release number of selected component (if applicable):

How reproducible:
Configure pam_namespace to polyinstantiate a directory in $HOME.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matthias Clasen 2008-04-16 09:37:45 EDT
> Configure pam_namespace to polyinstantiate a directory in $HOME.

Can you go into a little more detail here ? 
I am a novice when it comes to pam_namespace (and tbzatek, too, I guess) 
Comment 2 Ted X Toth 2008-05-05 09:15:37 EDT
First of all you can read about it by doing a 'man namespace.conf'. Here is a
typical line from my  namespace.conf:

$HOME/data $HOME/data.inst/ level:shared:noinit:create root

Create a directory in a users home named 'data.inst'. Edit
/etc/security/namespace.conf and add this line. Edit /etc/pam.d/gdm and add:

session    required     pam_namespace.so unmnt_remnt use_default_context
gen_hash debug ignore_instance_parent_mode

in place of any existing line configuring pam_namespace.so.

Log out and log in again.

A coworker figured out how to get them to go away but this is just a workaround
and not a solution:

 apps > nautilus > desktop
  toggle volumes_visible
Comment 3 Bug Zapper 2008-05-14 05:29:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Bug Zapper 2009-06-09 20:11:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-07-14 12:34:38 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.